VERSION 5.00
Begin VB.UserControl UserControl1 
   ClientHeight    =   390
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   4365
   ScaleHeight     =   390
   ScaleWidth      =   4365
   Begin VB.CommandButton cmdNext 
      Appearance      =   0  '2D
      Height          =   390
      Left            =   3960
      Picture         =   "avDateField2.ctx":0000
      Style           =   1  'Grafisch
      TabIndex        =   2
      Top             =   0
      Width           =   390
   End
   Begin VB.TextBox txtDateChoice 
      Alignment       =   2  'Zentriert
      BeginProperty Font 
         Name            =   "Calibri"
         Size            =   11.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   390
      Left            =   360
      TabIndex        =   1
      Text            =   "txtDateChoice"
      Top             =   0
      Width           =   3600
   End
   Begin VB.CommandButton cmdPrevious 
      Appearance      =   0  '2D
      Height          =   390
      Left            =   0
      Picture         =   "avDateField2.ctx":024C
      Style           =   1  'Grafisch
      TabIndex        =   0
      Top             =   0
      Width           =   390
   End
End
Attribute VB_Name = "UserControl1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit

Dim m_TextField As Object
Dim m_ButtonPrevious As Object
Dim m_ButtonNext As Object

Dim m_StartValue As Date

Event txtDateChoiceClick()
Event PreviousClick()
Event NextClick()
Event DateChanged()

'Events
Private Sub cmdNext_Click()
    RaiseEvent NextClick
End Sub

Private Sub cmdPrevious_Click()
    RaiseEvent PreviousClick
End Sub

Private Sub txtDateChoice_Click()
    RaiseEvent txtDateChoiceClick
End Sub

Private Sub UserControl_Initialize()
    'txtDateChoice = vbNullString
End Sub

'UserControlEvents
Private Sub UserControl_ReadProperties(PropBag As PropertyBag)
    txtDateChoice.BackColor = PropBag.ReadProperty("BackColor", &H8000000F)
    txtDateChoice.Enabled = PropBag.ReadProperty("Enabled", True)
    cmdPrevious.Enabled = PropBag.ReadProperty("Enabled", True)
    cmdNext.Enabled = PropBag.ReadProperty("Enabled", True)
    UserControl.BackStyle = PropBag.ReadProperty("BackStyle", 1)
    UserControl.BorderStyle = PropBag.ReadProperty("BorderStyle", 0)
    Set m_TextField = PropBag.ReadProperty("TextField", Nothing)
    Set m_ButtonPrevious = PropBag.ReadProperty("ButtonPrevious", Nothing)
    Set m_ButtonNext = PropBag.ReadProperty("ButtonNext", Nothing)
    Set txtDateChoice.Font = PropBag.ReadProperty("Font", Ambient.Font)
    txtDateChoice.ForeColor = PropBag.ReadProperty("ForeColor", &H0)
    txtDateChoice.FontUnderline = PropBag.ReadProperty("FontUnderline", 0)
    txtDateChoice.FontSize = PropBag.ReadProperty("FontSize", 10)
    txtDateChoice.FontName = PropBag.ReadProperty("FontName", "Arial")
    txtDateChoice.FontItalic = PropBag.ReadProperty("FontItalic", 0)
    txtDateChoice.FontBold = PropBag.ReadProperty("FontBold", 0)
    txtDateChoice.Text = PropBag.ReadProperty("Text", "")
    txtDateChoice.TooltipText = PropBag.ReadProperty("TooltipText", "")
    cmdPrevious.TooltipText = PropBag.ReadProperty("PreviousTooltipText", "")
    cmdNext.TooltipText = PropBag.ReadProperty("NextTooltipText", "")
    cmdNext.TooltipText = PropBag.ReadProperty("StartValue", "")
End Sub

Private Sub UserControl_WriteProperties(PropBag As PropertyBag)
    Call PropBag.WriteProperty("BackColor", txtDateChoice.BackColor, &H8000000F)
    Call PropBag.WriteProperty("Enabled", txtDateChoice.Enabled, True)
    Call PropBag.WriteProperty("BackStyle", UserControl.BackStyle, 1)
    Call PropBag.WriteProperty("BorderStyle", UserControl.BorderStyle, 0)
    Call PropBag.WriteProperty("TextField", m_TextField, Nothing)
    Call PropBag.WriteProperty("ButtonPrevious", m_ButtonPrevious, Nothing)
    Call PropBag.WriteProperty("ButtonNext", m_ButtonNext, Nothing)
    Call PropBag.WriteProperty("Font", txtDateChoice.Font, Ambient.Font)
    Call PropBag.WriteProperty("ForeColor", txtDateChoice.ForeColor, &H0)
    Call PropBag.WriteProperty("FontUnderline", txtDateChoice.FontUnderline, 0)
    Call PropBag.WriteProperty("FontSize", txtDateChoice.FontSize, 0)
    Call PropBag.WriteProperty("FontName", txtDateChoice.FontName, "")
    Call PropBag.WriteProperty("FontItalic", txtDateChoice.FontItalic, 0)
    Call PropBag.WriteProperty("FontBold", txtDateChoice.FontBold, 0)
    Call PropBag.WriteProperty("Text", txtDateChoice.Text, "")
    Call PropBag.WriteProperty("TooltipText", txtDateChoice.TooltipText, "")
    Call PropBag.WriteProperty("PreviousTooltipText", cmdPrevious.TooltipText, "")
    Call PropBag.WriteProperty("NextTooltipText", cmdNext.TooltipText, "")
    Call PropBag.WriteProperty("StartValue", m_StartValue, "")
End Sub

Private Sub UserControl_Resize()
    UserControl.txtDateChoice.Height = UserControl.ScaleHeight
    UserControl.txtDateChoice.Width = UserControl.ScaleWidth - UserControl.cmdPrevious.Width - UserControl.cmdNext.Width
    UserControl.cmdPrevious.Height = UserControl.txtDateChoice.Height
    UserControl.cmdNext.Height = UserControl.txtDateChoice.Height
    UserControl.cmdPrevious.Left = 0
    UserControl.txtDateChoice.Left = UserControl.cmdPrevious.Left + UserControl.cmdPrevious.Width
    UserControl.cmdNext.Left = UserControl.txtDateChoice.Left + UserControl.txtDateChoice.Width
    UserControl.txtDateChoice.Top = 0
    UserControl.cmdPrevious.Top = 0
    UserControl.cmdNext.Top = 0
End Sub

'Functions
Public Sub Refresh()
    cmdPrevious.Refresh
    cmdNext.Refresh
    txtDateChoice.Refresh
End Sub

'Object Getter
Public Property Get ActiveControl() As Object
    Set ActiveControl = UserControl.ActiveControl
End Property

Public Property Get TextField() As Object
    Set TextField = UserControl.txtDateChoice
End Property

Public Property Get ButtonPrevious() As Object
    Set ButtonPrevious = UserControl.Controls("cmdPrevious")
End Property

Public Property Get ButtonNext() As Object
    Set ButtonNext = UserControl.Controls("cmdNext")
End Property

'Properties
Public Property Get StartValue() As Date
    StartValue = m_StartValue
End Property

Public Property Let StartValue(ByVal vNewValue As Date)
    m_StartValue = vNewValue
    txtDateChoice.Text = m_StartValue
    PropertyChanged "StartValue"
End Property

Public Property Get BackColor() As OLE_COLOR
    BackColor = txtDateChoice.BackColor
End Property

Public Property Let BackColor(ByVal New_BackColor As OLE_COLOR)
    txtDateChoice.BackColor() = New_BackColor
    PropertyChanged "BackColor"
End Property

Public Property Get Enabled() As Boolean
    Enabled = txtDateChoice.Enabled
End Property

Public Property Let Enabled(ByVal New_Enabled As Boolean)
    txtDateChoice.Enabled() = New_Enabled
    cmdPrevious.Enabled() = New_Enabled
    cmdNext.Enabled() = New_Enabled
    PropertyChanged "Enabled"
End Property

Public Property Get BackStyle() As Integer
    BackStyle = UserControl.BackStyle
End Property

Public Property Let BackStyle(ByVal New_BackStyle As Integer)
    UserControl.BackStyle() = New_BackStyle
    PropertyChanged "BackStyle"
End Property

Public Property Get BorderStyle() As Integer
    BorderStyle = UserControl.BorderStyle
End Property

Public Property Let BorderStyle(ByVal New_BorderStyle As Integer)
    UserControl.BorderStyle() = New_BorderStyle
    PropertyChanged "BorderStyle"
End Property

Public Property Get Font() As Font
    Set Font = txtDateChoice.Font
End Property

Public Property Set Font(ByVal New_Font As Font)
    Set txtDateChoice.Font = New_Font
    PropertyChanged "Font"
End Property

Public Property Get ForeColor() As OLE_COLOR
    ForeColor = txtDateChoice.ForeColor
End Property

Public Property Let ForeColor(ByVal New_ForeColor As OLE_COLOR)
    txtDateChoice.ForeColor = New_ForeColor
    PropertyChanged "ForeColor"
End Property

Public Property Get FontUnderline() As Boolean
    FontUnderline = txtDateChoice.FontUnderline
End Property

Public Property Let FontUnderline(ByVal New_FontUnderline As Boolean)
    txtDateChoice.FontUnderline() = New_FontUnderline
    PropertyChanged "FontUnderline"
End Property

Public Property Get FontSize() As Single
    FontSize = txtDateChoice.FontSize
End Property

Public Property Let FontSize(ByVal New_FontSize As Single)
    txtDateChoice.FontSize() = New_FontSize
    PropertyChanged "FontSize"
End Property

Public Property Get FontName() As String
    FontName = txtDateChoice.FontName
End Property

Public Property Let FontName(ByVal New_FontName As String)
    txtDateChoice.FontName() = New_FontName
    PropertyChanged "FontName"
End Property

Public Property Get FontItalic() As Boolean
    FontItalic = txtDateChoice.FontItalic
End Property

Public Property Let FontItalic(ByVal New_FontItalic As Boolean)
    txtDateChoice.FontItalic() = New_FontItalic
    PropertyChanged "FontItalic"
End Property

Public Property Get FontBold() As Boolean
    FontBold = txtDateChoice.FontBold
End Property

Public Property Let FontBold(ByVal New_FontBold As Boolean)
    txtDateChoice.FontBold() = New_FontBold
    PropertyChanged "FontBold"
End Property

Public Property Get Text() As String
    Text = txtDateChoice.Text
End Property

Public Property Let Text(ByVal vNewValue As String)
    txtDateChoice.Text = vNewValue
    PropertyChanged ("Text")
End Property

Public Property Get TooltipText() As String
    TooltipText = txtDateChoice.TooltipText
End Property

Public Property Let TooltipText(ByVal vNewValue As String)
    txtDateChoice.TooltipText = vNewValue
    PropertyChanged ("TooltipText")
End Property

